XnEventT.h File Reference
`#include "XnOSCpp.h"`
`#include "XnListT.h"`
`#include "XnTypes.h"`

Go to the source code of this file.

## Classes

struct | XnCallbackT< FuncPtr >
class | XnEventInterfaceT< FuncPtr >
struct | XnHandlerFuncNoArgs
struct | XnHandlerFunc1Arg< TArg1 >
struct | XnHandlerFunc2Args< TArg1, TArg2 >
struct | XnHandlerFunc3Args< TArg1, TArg2, TArg3 >
struct | XnHandlerFunc4Args< TArg1, TArg2, TArg3, TArg4 >
struct | XnHandlerFunc5Args< TArg1, TArg2, TArg3, TArg4, TArg5 >
class | XnEventNoArgs
class | XnEvent1Arg< TArg1 >
class | XnEventT< TEventArgs >
class | XnEvent2Args< TArg1, TArg2 >
class | XnEvent3Args< TArg1, TArg2, TArg3 >
class | XnEvent4Args< TArg1, TArg2, TArg3, TArg4 >
class | XnEvent5Args< TArg1, TArg2, TArg3, TArg4, TArg5 >